Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 817597 - Review Request: luola - A 2-4 player 2D caveflying game
Summary: Review Request: luola - A 2-4 player 2D caveflying game
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://www.luolamies.org/software/luola
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 817601 817602
TreeView+ depends on / blocked
 
Reported: 2012-04-30 15:22 UTC by inactive
Modified: 2016-02-08 14:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 09:41:52 UTC


Attachments (Terms of Use)

Description inactive 2012-04-30 15:22:43 UTC
Spec URL: http://jor.netne.net/files/luola.spec
SRPM URL: http://jor.netne.net/files/luola-1.3.2-1.fc16.src.rpm
Description: Luola is a simple yet addictive arcade game where you fly a little V-shaped ship inside caverns and try to blow up other players.
It was inspired by V-Wing, an old Finnish caveflying game.

Comment 1 inactive 2012-04-30 15:23:03 UTC
I also packed the two available level sets:

luola-stdlevels:
Spec URL: http://jor.netne.net/files/luola-stdlevels.spec
SRPM URL: http://jor.netne.net/files/luola-stdlevels-6.0-1.fc16.src.rpm

luola-nostalgia:
Spec URL: http://jor.netne.net/files/luola-nostalgia.spec
SRPM URL: http://jor.netne.net/files/luola-nostalgia-1.2-1.fc16.src.rpm

Comment 2 Rex Dieter 2012-04-30 15:26:50 UTC
one pkg per review please (ie, submit the new level pkgs separately)

Comment 4 Susi Lehtola 2012-05-03 11:00:50 UTC
Explicit library requires are forbidden. Drop them.
http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

**

 cp %{_sourcedir}/%{name}.6.gz %{_builddir}
This should read
 cp -p %{SOURCE1} .

**

echo -e "8c8\n< Icon=luola.png\n---\n> Icon=luola" | patch luola.desktop -

If you are patching, please create a proper patch.

**

Please use the -p flag with install, so that time stamps are preserved.

**

install -D %{name}.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop -m 0644

This is wrong. You need to use desktop-file-install (or desktop-file-validate).
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

**

Are you a member of the packagers group?

Comment 5 inactive 2012-05-03 19:06:21 UTC
Thank you very much. I think I fixed all your points, I updated the files.

I'm not member of the packagers group (yet).

Comment 6 Susi Lehtola 2012-05-03 19:17:48 UTC
OK. As it happens, I'm a sponsor and I am willing to sponsor you if you show me your knowing of the Fedora guidelines, most importantly
 http://fedoraproject.org/wiki/Packaging/Guidelines
 http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
In addition to the Packaging Guidelines, there are a bunch of language / application specific guidelines that are linked to in the Packaging Guidelines.

Here are some tricks of the trade:
http://fedoraproject.org/wiki/Packaging_tricks
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
http://fedoraproject.org/wiki/Common_Rpmlint_issues

I will sponsor you if you have at least one other submission and perform a couple of informal reviews of packages of other people.

Please review only packages *not* marked with FE-NEEDSPONSOR. I will have to do the full formal review after you to check that you have got everything correctly. Once I have sponsored you you will be able to do formal reviews of your own.

Comment 7 inactive 2012-08-27 19:42:08 UTC
Thank you. I'd like to be sponsored by you. By now, I added one more package and one informal review (is the style ok?).
Package: https://bugzilla.redhat.com/show_bug.cgi?id=818991
Review: https://bugzilla.redhat.com/show_bug.cgi?id=845769#c2

Comment 8 Susi Lehtola 2012-08-29 13:26:44 UTC
Hold your horses. You were missing for almost four months, what was the reason?

The informal review is not ok, it's supposed to be a full fledged review - it's only called informal because you don't have the right to approve reviews just yet since you're not a packager. A proper review is such as the one Mikolaj Izdebski did in bug #845769.

And we're not that picky about spellings in Fedora - if it's proper, understandable English, it's OK. So no need to fuss about color/colour, meter/metre and so on.

Please perform two fully fledged informal reviews. I'll have a look at the package soon.

Comment 9 Jason Tibbitts 2012-08-30 17:06:53 UTC
Not to be a pain, but: http://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description

"
Please put personal preferences aside and use American English spelling in the summary and description. Packages can contain additional translated summary/description for supported Non-English languages, if available.
"

Comment 10 Susi Lehtola 2012-08-30 17:47:11 UTC
(In reply to comment #9)
> Not to be a pain, but:
> http://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description
> 
> "Please put personal preferences aside and use American English spelling in
> the summary and description. Packages can contain additional translated
> summary/description for supported Non-English languages, if available."

Still, the statement is rather mild (a SHOULD, not a MUST). If the rule really was reinforced, there'd be a lot more language policing around. I'd spend my resources on improving the summaries and descriptions that are found lacking or are in broken English.

Comment 11 Jason Tibbitts 2013-05-02 02:07:34 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This fails to build for me.  Here is a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5323253

Comment 12 Miroslav Suchý 2015-07-21 13:37:50 UTC
Ping! Are you still interrested in this review?

Comment 13 Miroslav Suchý 2015-08-21 09:41:52 UTC
No response. Closing. Feel free to reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.